#ifndef MAGSYS__H
#define MAGSYS__H

#include <string>
#include <map>


class Sampled1DFunction;
class General1DFunction;
class Filter;

class MagSys 
{
 private :
  std::string name, fileName;
  Sampled1DFunction *spectrum; // the ref spectrum 
  std::map<std::string,double> mags;
  General1DFunction *offsetFunction;

 public :
  MagSys(const std::string &SysName);

  double Mag(const  Sampled1DFunction& ObjSpectrum,
	     const Filter &ObserverFilter,
	     const double &z, bool do_check_range=true) const;

  double Mag(const Sampled1DFunction& ObjSpectrum,
	     const Filter &ObserverFilter,
	     const Sampled1DFunction &RestframeFilter,
	     const double &z, bool do_check_range=true) const;

  double ZeroPoint(const Filter & ObserverFilter) const;


  ~MagSys();


};


const MagSys* GetMagSys(const std::string &Name);


#endif /* MAGSYS__H */
