#ifndef SPECTRA__H
#define SPECTRA__H
#include "sampledfunction.h"
#include <list>


class Spectra : public General1DFunction
{
 private:
  std::string name;
  
 public:
  const std::string Name() const {return name;};
  Spectra(const std::string & FileName,int igroup=0) : General1DFunction(FileName)
    {
      name  = FileName;
      group = igroup;
    };
  int group;
};

class ListOfSpectra : public std::list<Spectra>
{
  public:
  int currentgroup;
  ListOfSpectra(const std::string &FileName);
  void Add(const std::string &FileName);
  void Plot(const std::string & FileName);
};

typedef std::list<Spectra>::iterator SpectraIterator;
typedef std::list<Spectra>::const_iterator SpectraCIterator;

#endif /* SPECTRA__H */
